#ifndef _ADFRAMEWORKFUNCTIONS_
#define _ADFRAMEWORKFUNCTIONS_
#include <Foundation/Foundation.h>

/**
Returns an NSError object with domain AdKernelErrorDomain and the given code.
In addition creates a userInfo dictionary with keys NSLocalizedDescriptionKey, 
AdDetailedDescriptionKey, and NSRecoverySuggestionKey whose values are the
strings given by localizedDescription, detailedDescription, and recoverySuggestion
respectively.
When Adun catches an exception is checks the userInfo dictionary for 
the key AdKnownExceptionError. If it exists the value for this key should be an NSError object
returned by this function. Adun knows what values can be present in the  
dictionary of an AdKnownExceptionError and hence will display this information to
the user.
*/
NSError* AdKnownExceptionError(int code, NSString* localizedDescription,
		NSString* detailedDescription ,
		NSString* recoverySuggestion);



#endif		
