/*
   Project: Adun

   Copyright (C) 2005 Michael Johnston & Jordi Villa-Freixa

   Author: Michael Johnston

   This application is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This application is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111 USA.
*/
/** \file **/
#ifndef _ADUN_FORCEFIELDMANAGER_
#define _ADUN_FORCEFIELDMANAGER_

#include "AdunKernel/AdunDefinitions.h"
#include "AdunKernel/AdunForceField.h"
#include "AdunKernel/AdunIOManager.h"
#include "AdunKernel/AdunBoundaryImplementor.h"
#include "AdunKernel/AdunSystemNode.h"

/** 
Manages a collection of AdForceField objects.
\ingroup Inter
**/

@interface AdForceFieldManager: AdObject 
{	
	BOOL explicit_solvent;
	int numberOfForceFields;
	id system;
	id boundaryImplementor;
	NSMutableArray* forceFields;	
	NSArray* subsystems;
}
-(void) calculateAccelerations;
-(void) setSystem: (id) object;
@end

#endif

